YUI Flash Component Documentation |
Class LineSeries

Package | com.yahoo.astra.fl.charts.series
Class | public class LineSeries
Inheritance | LineSeries CartesianSeries Series fl.core.UIComponent

Renders data points as a series of connected line segments.

Public Properties
Hide Inherited Public Properties
Show Inherited Public Properties

| Property | Defined by
--- | --- | ---
|  | chart : Object | Series
|  | dataProvider : Object | Series
|  | displayName : String | Series
|  | horizontalField : String | CartesianSeries
|  | itemRenderer : Object The class used to instantiate item renderers. | Series
|  | length : int | Series
|  | verticalField : String | CartesianSeries

Public Methods
Hide Inherited Public Methods
Show Inherited Public Methods

| Method | Defined by
--- | --- | ---
|  | LineSeries(data:Object = null) Constructor. | LineSeries
|  | clone():ISeries | LineSeries
|  | createLegendItemData():LegendItemData Creates a LegendItemData object to pass to the chart's legend. | CartesianSeries
|  | getStyleDefinition():Object [static] | LineSeries
|  | itemRendererToIndex(renderer:ISeriesItemRenderer):int | Series
|  | itemToItemRenderer(item:Object):ISeriesItemRenderer | Series

Protected Methods
Hide Inherited Protected Methods
Show Inherited Protected Methods

| Method | Defined by
--- | --- | ---
|  | invalidateMarker(marker:ISeriesItemRenderer):void Invalidates a marker (considered new). | Series
|  | isMarkerInvalid(marker:ISeriesItemRenderer):Boolean Indicates whether special considerations should be taken for a newly created marker. | Series
|  | validateMarker(marker:ISeriesItemRenderer):void Makes a marker valid. | Series

Styles
Hide Inherited Styles
Show Inherited Styles

| Style | Description | Defined by
--- | --- | --- | ---
|  | animationDuration | Type: int The duration for animations that occur on data changes. | Series
|  | animationEasingFunction | Type: Function The easing function for animations that occur on data changes. | Series
|  | animationEnabled | Type: Boolean If true, data changes will be displayed with animations. | Series
|  | areaFillAlpha | Type: Number The alpha value of the area fill. The default value is `0.6`. | LineSeries
|  | borderAlpha | Type: Number The alpha value from 0.0 to 1.0 to use for drawing the border of markers. | Series
|  | borderColor | Type: uint The border color used by programatic skins in this series. | Series
|  | connectDiscontinuousPoints | Type: Boolean If true, draws a dashed line between discontinuous points. The default value is `false`. | LineSeries
|  | connectPoints | Type: Boolean If true, lines are drawn between the markers. If false, only the markers are drawn. The default value is `true`. | LineSeries
|  | discontinuousDashLength | Type: Number The length of dashes in a discontinuous line. The default value is `10`. | LineSeries
|  | fillAlpha | Type: Number The alpha value from 0.0 to 1.0 to use for drawing the fills of markers. | Series
|  | fillColor | Type: uint The base color used by objects displayed in this series. | Series
|  | lineWeight | Type: Number The weight, in pixels, of the line drawn between points in this series. The default value is `3`. | LineSeries
|  | markerAlpha | Type: Number The alpha value from 0.0 to 1.0 to use for drawing the markers. | Series
|  | markerSize | Type: Number The size, in pixels, of each marker. | Series
|  | markerSkin | Type: Class The Class used to instantiate each marker's skin. | Series
|  | showAreaFill | Type: Boolean If true, the series will include a fill under the line, extending to the axis. The default value is `false`. | LineSeries

Constructor detail

LineSeries | () | constructor

`public function LineSeries(data:Object = null)`

Constructor.

Parameters

| `data:Object` (default = `null`)``

Method detail

clone | () | method

`public override function clone():ISeries`

Returns

| `ISeries`

getStyleDefinition | () | method |

`public static function getStyleDefinition():Object`

Returns

| `Object`